Skip to main content
POST
/
orgs
Creates a new organization and the first user as super admin
curl --request POST \
  --url https://api.zippendo.com/orgs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "creatorEmail": "jsmith@example.com",
  "creatorName": "<string>",
  "description": "<string>"
}
'
{
  "org": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "description": "<string>",
    "currency": "DKK",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "vatNumber": "<string>",
    "billingEmail": "<string>",
    "companyName": "<string>",
    "addressLine1": "<string>",
    "addressLine2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "country": "<string>"
  },
  "user": {
    "id": "<string>",
    "email": "<string>",
    "name": "<string>",
    "superAdmin": true,
    "emailVerified": true,
    "language": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Body

application/json
name
string
required

Organization name

Minimum string length: 1
slug
string
required

Organization slug (unique identifier)

Minimum string length: 1
Pattern: ^[a-z0-9-]+$
creatorEmail
string<email>
required

Email of the user creating the organization

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
creatorName
string
required

Name of the user creating the organization

Minimum string length: 1
description
string

Organization description

Response

201 - application/json

Default Response

org
object
required
user
object
required